<template>
    <div>
        <div>
            <label>
                Title
                <input v-model="currentDirectory.item" type="text" />
            </label>
        </div>
        <div>
            <label>
                Rate
                <input v-model="currentDirectory.t" type="number" />
            </label>
        </div>
        <div>
            <label>
                Year
                <input v-model="currentDirectory.year" type="text" />
            </label>
        </div>
        <div>   
            <label>
                Owner
                <input v-model="currentDirectory.owner" type="number" />
            </label>
        </div>
    </div>
</template>

<script>
import { mapActions } from 'vuex'

    export default {
        name: 'EditDirectory',
        data() {
            return {
                currentDirectory: {},
            }
        },
        watch:{
            currentDirectory:{
                handler(newFilter){
                    this.updateFilter(newFilter);
                },
                deep: true,
            }
        },
        methods: {
            ...mapActions(['updateFilter']),
            name() {
                
            }
        },
    }
</script>

<style lang="scss" scoped>

</style>